org.apache.tinkerpop.gremlin.driver.handler

## Class WebSocketClientHandler.InterceptedWebSocketClientHandshaker13

- java.lang.Object
- - WebSocketClientHandshaker13
  - - org.apache.tinkerpop.gremlin.driver.handler.WebSocketClientHandler.InterceptedWebSocketClientHandshaker13

- Enclosing class:
    WebSocketClientHandler

      public static class WebSocketClientHandler.InterceptedWebSocketClientHandshaker13
      extends WebSocketClientHandshaker13

  Extension to the Netty implementation that allows for the `newHandshakeRequest()` to be modified by way of a `HandshakeInterceptor` that is supplied to the `Cluster` when it is created.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InterceptedWebSocketClientHandshaker13(URI webSocketURL, WebSocketVersion version, String subprotocol, boolean allowExtensions, HttpHeaders customHeaders, int maxFramePayloadLength, boolean performMasking, boolean allowMaskMismatch, long forceCloseTimeoutMillis, HandshakeInterceptor interceptor)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected FullHttpRequest` | `newHandshakeRequest()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InterceptedWebSocketClientHandshaker13

          public InterceptedWebSocketClientHandshaker13(URI webSocketURL,
                                                        WebSocketVersion version,
                                                        String subprotocol,
                                                        boolean allowExtensions,
                                                        HttpHeaders customHeaders,
                                                        int maxFramePayloadLength,
                                                        boolean performMasking,
                                                        boolean allowMaskMismatch,
                                                        long forceCloseTimeoutMillis,
                                                        HandshakeInterceptor interceptor)

  - ### Method Detail

    - #### newHandshakeRequest

          protected FullHttpRequest newHandshakeRequest()

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.